Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.lib
Class ReportScript

    java.lang.Object
      com.sun.javatest.Script
          com.sun.javatest.lib.ReportScript

    public class ReportScript

extends Script

A special script which reads the result file which is presumed to exist in the work directory as the result of a prior run. This will allow the creation of a TestResult object from a old test run.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.Script
`Script.TimeoutProvider`

Field Summary

Fields inherited from class com.sun.javatest.Script
`alarmTimer, backupPolicy, cmdOut1Name, cmdOut2Name, env, error_badExecuteArgs, error_badTestClassDir, error_compFailUnexp, error_noActionSpecified, error_noExecuteClass, error_noExtnInSource, error_noRMIClasses, error_noSource, excludedTestCases, fail_compFailUnexp, fail_compSuccUnexp, fail_execSuccUnexp, loader, noExtnInSource, noSource, notifier, pass_compFailExp, pass_compSuccExp, pass_execFailExp, scriptArgs, td, trOut, workDir`

Constructor Summary
`ReportScript()`

Method Summary
`void` | `run()` Run the script, to fill out the test results for the test description given to `init`.
`Status` | `run(java.lang.String[] args, TestDescription td, TestEnvironment env)` This method should not be called; for this class, its identity is significant, not its implementation.

Methods inherited from class com.sun.javatest.Script
`compileIfNecessary, compileIfNecessary, compileIfNecessary, compileIfNecessary, compileIndividually, compileIndividually, compileIndividually, compileIndividually, compileOne, compileOne, compileOne, compileOne, compileTogether, compileTogether, compileTogether, compileTogether, exclude, execute, execute, execute, execute, filesToStrings, getJTRIfPassed, getTestDescription, getTestResult, getTestTimeout, getTimeoutProvider, initArgs, initBackupPolicy, initClassLoader, initDelegate, initExcludedTestCases, initTestDescription, initTestEnvironment, initTestResult, initWorkDir, invokeCommand, rmiCompile, rmiCompile, setAlarm, setAlarm, setDefaultCommandStreamNames, setJTRIfPassed, setNotifier, setTimeoutProvider, useNotifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportScript

    public ReportScript()

Method Detail

### run

    public final void run()

  Description copied from class: `Script`
  Run the script, to fill out the test results for the test description given to `init`. Most implementations will use the default implementation of this method, which delegates to a simpler (abstract) method @link(run(String[],TestDescription, TestEnvironment))

  Overrides:
    `run` in class `Script`

### run

    public Status run(java.lang.String[] args,
                      TestDescription td,
                      TestEnvironment env)

  This method should not be called; for this class, its identity is significant, not its implementation.

  Specified by:
    `run` in class `Script`
  Parameters:
    `args` - Any script-specific options specified in the script property
    `td` - The test description for the test to be performed
    `env` - The test environment giving the details of how to run the test
  Returns:
    The result of running the script
  Throws:
    `java.lang.Error` - if called
  See Also:
    `Script.compileIndividually(java.lang.String[])`, `Script.compileTogether(java.lang.String[])`, `Script.execute(java.lang.String, java.lang.String)`, `Script.invokeCommand(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.